NXP NFC Reader Library v4.040.05.011646

Data Fields
phhalHw_Rc663_DataParams_t Struct Reference
Hardware Abstraction Layer » component : Rc663

Rc663 HAL parameter structure. More...

## Data Fields
uint16_t | wId
| Layer ID for this component, NEVER MODIFY!. More...
void * | pBalDataParams
| Pointer to the lower layers parameter structure. More...
uint8_t * | pLoadRegConfig
| Pointer to configuration buffer for LoadReg mode; Refer to phhalHw_Rc663_Init. More...
uint8_t * | pTxBuffer
| Pointer to global transmit buffer used by the Exchange() function. More...
uint8_t * | pRxBuffer
| Pointer to global receive buffer used by the Exchange() function. More...
uint32_t | dwTimingUs
| Current timing value. More...
uint16_t | wCfgShadow [PHHAL_HW_RC663_SHADOW_COUNT]
| Configuration shadow; Stores configuration for current card type. More...
uint16_t | wTxBufSize
| Size of the global transmit buffer. More...
uint16_t | wTxBufLen
| Number of valid bytes within the transmit buffer. More...
uint16_t | wRxBufSize
| Size of the global receive buffer. More...
uint16_t | wRxBufLen
| Number of valid bytes within the receive buffer. More...
uint16_t | wRxBufStartPos
| Starting position within the global receive buffer. More...
uint16_t | wMaxPrecachedBytes
| Holds the max. More...
uint16_t | wTimingMode
| Current timing measurement mode. More...
uint16_t | wFieldOffTime
| Field-Off-Time in milliseconds. More...
uint16_t | wFieldRecoveryTime
| Field-Recovery-Time in milliseconds. More...
uint16_t | wAdditionalInfo
| Storage for additional error information. More...
uint16_t | wPowerDownTimeMs
| Power-Down time in milliseconds if power-down mode is used. More...
uint16_t | wDetectionTimeUs
| Detection time in microseconds if power-down mode is used. More...
uint16_t | dwFdtPc
| Current timing value backup for PC. More...
uint8_t | bLoadRegMode
| Whether LoadReg-Mode is enabled or not. More...
uint8_t | bCardType
| Type of card for which the hal is configured for. More...
uint8_t | bTimeoutUnit
| Unit of current timeout value (either PHHAL_HW_TIME_MICROSECONDS or PHHAL_HW_TIME_MILLISECONDS). More...
uint8_t | bSymbolStart
| Preamble of a frame. More...
uint8_t | bSymbolEnd
| Trailer symbol of a frame. More...
uint8_t | bFifoSize
| Fifo-Size setting. More...
uint8_t | bBalConnectionType
| Type of the underlying BAL connection. More...
uint8_t | bRfResetAfterTo
| Storage for PHHAL_HW_CONFIG_RFRESET_ON_TIMEOUT setting. More...
uint8_t | bMode
| One of the above LPCD modes. More...
uint8_t | bI
| I-Channel value in case of no card on antenna. More...
uint8_t | bQ
| Q-Channel value in case of no card on antenna. More...
uint8_t | bJewelActivated
| Set the PH_ON/PH_OFF Jewel exchange mode. More...
uint8_t | bCRC5Enabled
| Set the PH_ON/PH_OFF for 18000P3M3 CRC5. More...
uint8_t | bOpeMode
| Operation mode. More...
uint8_t | bEmdNoiseMaxDataLen
| EMVCo EMD noise check length. More...
uint8_t | bRxMultiple
| Flag indicates whether RX multiple is to be enabled or not. More...
uint8_t | bNfcipMode
| Enable/Disable to handle start byte at 106kbps in NFCIP-1 mode. More...
uint8_t | bCheckEmdErr
| Enable/Disable to perform Emvco EMD error check. More...
uint8_t | abStoredCRC [2]
| StoredCRC of ISO 18000p3m3 tag. More...
uint16_t | wCurrentSlotCount
| ISO 18000p3m3 slot count at time of buffer overflow (PH_ERR_SUCCESS_CHAINING). More...
uint8_t | bSession
| Inventory session of ISO 18000p3m3. More...
uint8_t | b18000p3m3Q
| ISO18000p3m3 Q i.e slot count value. More...
phOsal_EventObj_t | HwEventObj
| Event Object. More...
ppRFCallBck_t | pRFISRCallback
| Application RF callback called by ISR handler. More...

## Detailed Description

Rc663 HAL parameter structure.

## Field Documentation

## § wId

uint16_t phhalHw_Rc663_DataParams_t::wId

Layer ID for this component, NEVER MODIFY!.

## § pBalDataParams

void* phhalHw_Rc663_DataParams_t::pBalDataParams

Pointer to the lower layers parameter structure.

## § pLoadRegConfig

uint8_t* phhalHw_Rc663_DataParams_t::pLoadRegConfig

Pointer to configuration buffer for LoadReg mode; Refer to phhalHw_Rc663_Init.

## § pTxBuffer

uint8_t* phhalHw_Rc663_DataParams_t::pTxBuffer

Pointer to global transmit buffer used by the Exchange() function.

## § pRxBuffer

uint8_t* phhalHw_Rc663_DataParams_t::pRxBuffer

Pointer to global receive buffer used by the Exchange() function.

## § dwTimingUs

uint32_t phhalHw_Rc663_DataParams_t::dwTimingUs

Current timing value.

## § wCfgShadow

uint16_t phhalHw_Rc663_DataParams_t::wCfgShadow[PHHAL_HW_RC663_SHADOW_COUNT]

Configuration shadow; Stores configuration for current card type.

## § wTxBufSize

uint16_t phhalHw_Rc663_DataParams_t::wTxBufSize

Size of the global transmit buffer.

## § wTxBufLen

uint16_t phhalHw_Rc663_DataParams_t::wTxBufLen

Number of valid bytes within the transmit buffer.

## § wRxBufSize

uint16_t phhalHw_Rc663_DataParams_t::wRxBufSize

Size of the global receive buffer.

## § wRxBufLen

uint16_t phhalHw_Rc663_DataParams_t::wRxBufLen

Number of valid bytes within the receive buffer.

## § wRxBufStartPos

uint16_t phhalHw_Rc663_DataParams_t::wRxBufStartPos

Starting position within the global receive buffer.

## § wMaxPrecachedBytes

uint16_t phhalHw_Rc663_DataParams_t::wMaxPrecachedBytes

Holds the max.

number of bytes which are pre-cached prior to command execution.

## § wTimingMode

uint16_t phhalHw_Rc663_DataParams_t::wTimingMode

Current timing measurement mode.

## § wFieldOffTime

uint16_t phhalHw_Rc663_DataParams_t::wFieldOffTime

Field-Off-Time in milliseconds.

## § wFieldRecoveryTime

uint16_t phhalHw_Rc663_DataParams_t::wFieldRecoveryTime

Field-Recovery-Time in milliseconds.

## § wAdditionalInfo

uint16_t phhalHw_Rc663_DataParams_t::wAdditionalInfo

Storage for additional error information.

## § wPowerDownTimeMs

uint16_t phhalHw_Rc663_DataParams_t::wPowerDownTimeMs

Power-Down time in milliseconds if power-down mode is used.

## § wDetectionTimeUs

uint16_t phhalHw_Rc663_DataParams_t::wDetectionTimeUs

Detection time in microseconds if power-down mode is used.

## § dwFdtPc

uint16_t phhalHw_Rc663_DataParams_t::dwFdtPc

Current timing value backup for PC.

## § bLoadRegMode

uint8_t phhalHw_Rc663_DataParams_t::bLoadRegMode

Whether LoadReg-Mode is enabled or not.

## § bCardType

uint8_t phhalHw_Rc663_DataParams_t::bCardType

Type of card for which the hal is configured for.

## § bTimeoutUnit

uint8_t phhalHw_Rc663_DataParams_t::bTimeoutUnit

Unit of current timeout value (either PHHAL_HW_TIME_MICROSECONDS or PHHAL_HW_TIME_MILLISECONDS).

## § bSymbolStart

uint8_t phhalHw_Rc663_DataParams_t::bSymbolStart

Preamble of a frame.

## § bSymbolEnd

uint8_t phhalHw_Rc663_DataParams_t::bSymbolEnd

Trailer symbol of a frame.

## § bFifoSize

uint8_t phhalHw_Rc663_DataParams_t::bFifoSize

Fifo-Size setting.

## § bBalConnectionType

uint8_t phhalHw_Rc663_DataParams_t::bBalConnectionType

Type of the underlying BAL connection.

Refer to PHHAL_HW_CONFIG_BAL_CONNECTION.

## § bRfResetAfterTo

uint8_t phhalHw_Rc663_DataParams_t::bRfResetAfterTo

Storage for PHHAL_HW_CONFIG_RFRESET_ON_TIMEOUT setting.

## § bMode

uint8_t phhalHw_Rc663_DataParams_t::bMode

One of the above LPCD modes.

## § bI

uint8_t phhalHw_Rc663_DataParams_t::bI

I-Channel value in case of no card on antenna.

## § bQ

uint8_t phhalHw_Rc663_DataParams_t::bQ

Q-Channel value in case of no card on antenna.

## § bJewelActivated

uint8_t phhalHw_Rc663_DataParams_t::bJewelActivated

Set the PH_ON/PH_OFF Jewel exchange mode.

## § bCRC5Enabled

uint8_t phhalHw_Rc663_DataParams_t::bCRC5Enabled

Set the PH_ON/PH_OFF for 18000P3M3 CRC5.

## § bOpeMode

uint8_t phhalHw_Rc663_DataParams_t::bOpeMode

Operation mode.

One of NFC, EMVCo, ISO.

## § bEmdNoiseMaxDataLen

uint8_t phhalHw_Rc663_DataParams_t::bEmdNoiseMaxDataLen

EMVCo EMD noise check length.

## § bRxMultiple

uint8_t phhalHw_Rc663_DataParams_t::bRxMultiple

Flag indicates whether RX multiple is to be enabled or not.

## § bNfcipMode

uint8_t phhalHw_Rc663_DataParams_t::bNfcipMode

Enable/Disable to handle start byte at 106kbps in NFCIP-1 mode.

## § bCheckEmdErr

uint8_t phhalHw_Rc663_DataParams_t::bCheckEmdErr

Enable/Disable to perform Emvco EMD error check.

## § abStoredCRC

uint8_t phhalHw_Rc663_DataParams_t::abStoredCRC[2]

StoredCRC of ISO 18000p3m3 tag.

## § wCurrentSlotCount

uint16_t phhalHw_Rc663_DataParams_t::wCurrentSlotCount

ISO 18000p3m3 slot count at time of buffer overflow (PH_ERR_SUCCESS_CHAINING).

## § bSession

uint8_t phhalHw_Rc663_DataParams_t::bSession

Inventory session of ISO 18000p3m3.

## § b18000p3m3Q

uint8_t phhalHw_Rc663_DataParams_t::b18000p3m3Q

ISO18000p3m3 Q i.e slot count value.

## § HwEventObj

phOsal_EventObj_t phhalHw_Rc663_DataParams_t::HwEventObj

Event Object.

## § pRFISRCallback

ppRFCallBck_t phhalHw_Rc663_DataParams_t::pRFISRCallback

Application RF callback called by ISR handler.

The documentation for this struct was generated from the following file:

- phhalHw.h